## org.eclipse.datatools.connectivity.ui
Class RefreshProfileJob

    java.lang.Object
      UIJob
          org.eclipse.datatools.connectivity.ui.RefreshProfileJob

public class RefreshProfileJob
extends UIJob

This class can be used by UI components to refresh a connection profile within a TreeViewer. This job synchronizes with other profile jobs and ensures that refresh(profile) is invoked only once per tree viewer per connection profile.

Author:
  rcernich Created on May 24, 2005
See Also:
  Serialized Form

Method Summary
`boolean` `belongsTo(java.lang.Object family)`
`IStatus` `runInUIThread(IProgressMonitor monitor)`
`static void` `scheduleRefreshProfileJob(IConnectionProfile profile, TreeViewer viewer)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### scheduleRefreshProfileJob

    public static void scheduleRefreshProfileJob(IConnectionProfile profile,
                                                 TreeViewer viewer)

  Parameters:
    `profile` - the connection profile to refresh
    `viewer` - the viewer containing the profile

### runInUIThread

    public IStatus runInUIThread(IProgressMonitor monitor)

### belongsTo

    public boolean belongsTo(java.lang.Object family)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.